/*
   SoundPref
   $Revision: 0.1 $
   Tatsuya Aoyagi (aoyagi@cs.uec.ac.jp)
   $Id: sndpref.h,v 0.1 1997/08/06 11:35:44 aoyagi Exp aoyagi $
*/
#include "syssnd.h"

typedef struct {
  char title[32];
  HackedSystemSound sound;
} MelodyRecord;
#define DefaultSoundIndex 0
#define NoneSoundIndex 1

#define BeepIDToListID(beepID) (2002+(beepID)*10)
#define BeepIDToPopupID(beepID) (2001+(beepID)*10)
#define ListIDToBeepID(listID) (((listID)-2000)/10)
#define ButtonIDToBeepID(buttonID) (((buttonID)-2000)/10)

int StartApplication(void);
void StopApplication(void);
void EventLoop(void);
void setAllList(DmOpenRef prefdb,char** choice,MelodyRecord* mr,Word itemNo);
void playSystemSound(DmOpenRef prefdb,UInt beepID);
void selectMelody(DmOpenRef prefdb,MelodyRecord* mr,Word listID,Word select);
void setupList(DmOpenRef prefdb,char** choice,MelodyRecord* mr,UInt n);
void setDefaultEntry(MelodyRecord* mr);
void setChoiceToAllList(DmOpenRef prefdb,char** choice,MelodyRecord* mr,UInt n);
Word currentSelection(DmOpenRef prefdb,UInt beepID,MelodyRecord* mr,UInt n);
void setChoiceToList(FormPtr form,Word objID,char** choice,UInt n,Word itemNum);
void setLabelToPopupTrigger(FormPtr form,Word objID,char** choice,Word itemNo);
UInt countMelody(void);
UInt countMelodyInDatabase(UInt cardNo, LocalID dbID);
void fillMelodyRecord(MelodyRecord mr[]);
UInt fillMelodyRecordInDatabase(UInt cardNo, LocalID dbID, ULong creator, MelodyRecord mr[]);
void fillChoice(char* choice[],MelodyRecord mr[],UInt n);
void setMelodyRecord(MelodyRecord *mr,char* title,SystemSoundKind kind,ULong creator,Int resID);
