/*
   SndPlaySystemSoundHack
   $Revision: 0.1 $
   Tatsuya Aoyagi (aoyagi@cs.uec.ac.jp)
   $Id: syssnd.c,v 0.1 1997/08/06 11:35:44 aoyagi Exp aoyagi $
*/
#pragma pack(2)

#include <Pilot.h>
#include <System/FeatureMgr.h>
#include "syssnd.h"
#include "prefdb.h"
#include "play.h"

#define HackResourceID 1000

void SndPlaySystemSoundHack(UInt beepID) {
  DmOpenRef dbref;
  HackedSystemSound sound;
  void (*oldtrap)(SndSysBeepType); //procedure pointer to old trap;
  DWord temp; //for the feature manager call type checking

  dbref = DmOpenDatabaseByTypeCreator(PrefDBType,HackCreatorID,dmModeReadOnly);
  if (dbref) {
    getSoundPref(dbref,beepID,&sound);
    DmCloseDatabase(dbref);
    switch (sound.kind) {
    case systemSoundDefault:
      break;
    case systemSoundNone:
      return;
    case systemSoundMelody:
      playMelody(sound.melody.creator,sound.melody.resourceID);
      return;
    }
  }
  FtrGet(HackCreatorID,HackResourceID,&temp); //get old trap address from HackMaster
  oldtrap = (void (*)(SndSysBeepType))temp; //set procedure pointer
  oldtrap((SndSysBeepType)beepID);
}

